package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qmth.teachcloud.mark.entity.MarkUserPaper;
import com.qmth.teachcloud.mark.mapper.MarkUserPaperMapper;
import com.qmth.teachcloud.mark.service.MarkUserPaperService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 试卷评卷员设置 服务实现类
 * </p>
 *
 * @author xf
 * @since 2025-02-21
 */
@Service
public class MarkUserPaperServiceImpl extends ServiceImpl<MarkUserPaperMapper, MarkUserPaper> implements MarkUserPaperService {

    @Override
    public MarkUserPaper getByExamIdAndPaperNumberAndUserId(Long examId, String paperNumber, Long userId) {
        QueryWrapper<MarkUserPaper> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MarkUserPaper::getExamId, examId)
                .eq(MarkUserPaper::getPaperNumber, paperNumber)
                .eq(MarkUserPaper::getUserId, userId);
        return this.getOne(queryWrapper);
    }

    @Override
    public String getSubjectiveQuestionNumber(Long examId, String paperNumber, Long userId) {
        return this.baseMapper.getSubjectiveQuestionNumber(examId, paperNumber, userId);
    }
}
